uszprintf(3)

NAME
uszprintf

SYNOPSIS
#include <allegro.h>

int uszprintf(char *buf, int size, const char *format, ...);

DESCRIPTION
This function writes formatted data into the output buffer, whose length in bytes is specified by size and which is guaranteed to be NULL terminated. Returns the number of characters that would have been written without eventual truncation (like with usprintf), not including the terminating NULL character.

SEE ALSO
uconvert(3), usprintf(3), uvszprintf(3)